/* This function reads from "fp" until the end of the line of the
 * end of the file is detected.  The result is stored in "s".  The
 * "\n" is absorbed into the string when it is encountered.  A -1
 * is returned if an EOF is encountered.  Otherwise the length of
 * the string is returned.
 *
 *   21 October, 1994
 *   Andrew D. Lewis
 *   California Institute of Technology
 */

#include<stdio.h>
#include<string.h>

int fgetline(FILE *fp, char *s)

{
  int i;

  for (i = 0; (((s[i] = getc(fp)) != '\n') && (s[i] != EOF)); i++);

  if (s[i] == EOF)
    i = -1;
  else
    s[i++] = '\0';

  return(i);
}
