/* This function reads the first "n" characters of a line from the
 * file stream "fp" and stores the result in "s".  The file pointer
 * is then placed at the beginning of a new line.  A negative value
 * is returned upon EOF and a positive value upon successful completion.
 *
 *   21 October, 1994
 *   Andrew D. Lewis
 *   California Institute of Technology
 */

#include<stdio.h>
#include<string.h>

int fgetlinen(FILE *fp, char *s, int n)

{
  int i,j,itest;

  s[0] = getc(fp);
  if (s[0] == '\n') itest = -1;
  if (s[0] == EOF) itest = -2;
  i = 0;

  while ((s[i] != '\n') && (s[i] != EOF)) {
    i += 1;
    s[i] = getc(fp);
    if (s[i] == '\n') itest = 1;
    if (s[i] == EOF) itest = -1;
  }

  for (j = i ; j < n ; j++) {
    s[j] = '\0';
  }

  return(itest);
}
