/* This function reads from "fp" until the end of the line of the
 * end of the file is detected.  The result is stored in "s".  A
 * -1 is returned if the function ends on a newline, a -2 is returned
 * if the function ends on an EOF.  The newline character is not absorbed
 * into the string.
 *
 *   21 October, 1994
 *   Andrew D. Lewis
 *   California Institute of Technology
 */

#include<string.h>
#include<stdio.h>

int fgetopenline(FILE *fp, char *s)

{
  int i,j;
  char test;

  i = 0;
  j = 0;
  while (j == 0) {
    test = getc(fp);
    if (test == EOF) {
      j = -2;
    }
    else if (test == '\n') {
      j = -1;
    }
    if (j == 0) s[i] = test;
    i += 1;
  }

  return(j);
}
